Loading...
Searching...
No Matches
better_enums::optional< T > Struct Template Reference

`#include <enum.h>`

## Public Member Functions

BETTER_ENUMS_CONSTEXPR_ | optional ()
BETTER_ENUMS_CONSTEXPR_ | optional (T v)
BETTER_ENUMS_CONSTEXPR_ const T & | operator* () const
BETTER_ENUMS_CONSTEXPR_ const T * | operator-> () const
BETTER_ENUMS_CONSTEXPR_ | operator bool () const
BETTER_ENUMS_CONSTEXPR_ const T & | value () const

## Detailed Description

template<typename T>
struct better_enums::optional< T >

Definition at line 333 of file enum.h.

## Constructor & Destructor Documentation

## optional() [1/2]

template<typename T>

BETTER_ENUMS_CONSTEXPR_ better_enums::optional< T >::optional | ( |  | ) |

inline

Definition at line 334 of file enum.h.

References better_enums::_default(), and BETTER_ENUMS_CONSTEXPR_.

## optional() [2/2]

template<typename T>

BETTER_ENUMS_CONSTEXPR_ better_enums::optional< T >::optional | ( | T | v | ) |

inline

Definition at line 337 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## Member Function Documentation

## operator bool()

template<typename T>

BETTER_ENUMS_CONSTEXPR_ better_enums::optional< T >::operator bool | ( |  | ) | const

inline

Definition at line 342 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## operator*()

template<typename T>

BETTER_ENUMS_CONSTEXPR_ const T & better_enums::optional< T >::operator* | ( |  | ) | const

inline

Definition at line 339 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## operator->()

template<typename T>

BETTER_ENUMS_CONSTEXPR_ const T * better_enums::optional< T >::operator-> | ( |  | ) | const

inline

Definition at line 340 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

## value()

template<typename T>

BETTER_ENUMS_CONSTEXPR_ const T & better_enums::optional< T >::value | ( |  | ) | const

inline

Definition at line 344 of file enum.h.

References BETTER_ENUMS_CONSTEXPR_.

The documentation for this struct was generated from the following file:

- enum.h